Skip to main content
GET
/
mailbox
/
threads
List mailbox threads
curl --request GET \
  --url https://app.sendmux.ai/api/v1/mailbox/threads \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": [
    {
      "id": "<string>",
      "subject": "<string>",
      "message_count": 123,
      "unread_count": 123,
      "has_attachments": true,
      "folder_ids": [
        "<string>"
      ],
      "participants": [
        {
          "email": "agent@example.com",
          "name": "Support"
        }
      ],
      "last_message": {
        "id": "<string>",
        "thread_id": "<string>",
        "folder_ids": [
          "<string>"
        ],
        "subject": "<string>",
        "preview": "<string>",
        "from": {
          "email": "agent@example.com",
          "name": "Support"
        },
        "to": [
          {
            "email": "agent@example.com",
            "name": "Support"
          }
        ],
        "cc": [
          {
            "email": "agent@example.com",
            "name": "Support"
          }
        ],
        "bcc": [
          {
            "email": "agent@example.com",
            "name": "Support"
          }
        ],
        "received_at": "<string>",
        "sent_at": "<string>",
        "size_bytes": 123,
        "has_attachments": true,
        "keywords": [
          "$seen",
          "$flagged",
          "agent_triaged"
        ],
        "flags": {
          "seen": true,
          "flagged": true,
          "draft": true,
          "answered": true
        }
      },
      "states": {
        "thread_state": "<string>",
        "email_state": "<string>"
      }
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sendmux.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Query Parameters

cursor
string
limit
integer
Required range: 1 <= x <= 100
q
string
participant
string
folder_id
string
after
string
before
string
has_attachment
boolean
is_unread
boolean
sort_direction
enum<string>
Available options:
asc,
desc

Response

Thread list

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object[]
required
pagination
object
required